import * as ts from 'typescript';
import { IslandBaseService } from '../service/island.base.service';
export declare class CommonIslandService {
    private program;
    private islandBaseService;
    private typeChecker;
    private sourceFiles;
    mongooseSchemas: any;
    envDecorators: any;
    errorEnums: any;
    rpcs: any;
    events: any;
    endpoints: any;
    private crlfRegexExp;
    constructor(program: ts.Program, islandBaseService: IslandBaseService);
    private parseFiles;
    private visit;
    private parseMongooseSchema;
    private parseEnvDeclaration;
    private parseErrorEnums;
    private parseControllers;
    private parseRPCController;
    private parseEndpointController;
    private parseEventController;
}
